Bug 1410368 - [abrt] gnome-software: as_profile_item_free(): gnome-software killed by SIGABRT
Summary: [abrt] gnome-software: as_profile_item_free(): gnome-software killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:697394bfc498dc0dbf4e61a28c7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 10:41 UTC by Kai A. Hiller
Modified: 2017-12-12 10:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:14:29 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.51 KB, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: core_backtrace (4.33 KB, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: dso_list (12.85 KB, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: environ (1.04 KB, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: maps (58.25 KB, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: mountinfo (3.70 KB, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: open_fds (2.26 KB, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details
File: var_log_messages (310 bytes, text/plain)
2017-01-05 10:41 UTC, Kai A. Hiller
no flags Details

Description Kai A. Hiller 2017-01-05 10:41:02 UTC
Version-Release number of selected component:
gnome-software-3.22.4-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: as_profile_item_free
executable:     /usr/bin/gnome-software
global_pid:     1811
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #7 as_profile_item_free at as-profile.c:60
 #8 g_ptr_array_foreach at garray.c:1502
 #9 ptr_array_free at garray.c:1088
 #10 g_ptr_array_unref at garray.c:1036
 #11 as_profile_finalize at as-profile.c:467
 #13 gs_application_dispose at gs-application.c:826
 #15 glib_autoptr_cleanup_GtkApplication at /usr/include/gtk-3.0/gtk/gtkapplication.h:165
 #16 glib_autoptr_cleanup_GsApplication at gs-application.h:31

Comment 1 Kai A. Hiller 2017-01-05 10:41:07 UTC
Created attachment 1237560 [details]
File: backtrace

Comment 2 Kai A. Hiller 2017-01-05 10:41:09 UTC
Created attachment 1237561 [details]
File: cgroup

Comment 3 Kai A. Hiller 2017-01-05 10:41:10 UTC
Created attachment 1237562 [details]
File: core_backtrace

Comment 4 Kai A. Hiller 2017-01-05 10:41:12 UTC
Created attachment 1237563 [details]
File: dso_list

Comment 5 Kai A. Hiller 2017-01-05 10:41:14 UTC
Created attachment 1237564 [details]
File: environ

Comment 6 Kai A. Hiller 2017-01-05 10:41:15 UTC
Created attachment 1237565 [details]
File: limits

Comment 7 Kai A. Hiller 2017-01-05 10:41:17 UTC
Created attachment 1237566 [details]
File: maps

Comment 8 Kai A. Hiller 2017-01-05 10:41:19 UTC
Created attachment 1237567 [details]
File: mountinfo

Comment 9 Kai A. Hiller 2017-01-05 10:41:20 UTC
Created attachment 1237568 [details]
File: namespaces

Comment 10 Kai A. Hiller 2017-01-05 10:41:21 UTC
Created attachment 1237569 [details]
File: open_fds

Comment 11 Kai A. Hiller 2017-01-05 10:41:23 UTC
Created attachment 1237570 [details]
File: proc_pid_status

Comment 12 Kai A. Hiller 2017-01-05 10:41:24 UTC
Created attachment 1237571 [details]
File: var_log_messages

Comment 13 Michael Cronenworth 2017-01-20 15:35:22 UTC
Similar problem has been detected:

I was searching for apps through Gnome Shell's search box.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: as_profile_item_free
executable:     /usr/bin/gnome-software
global_pid:     3347
kernel:         4.9.4-201.fc25.x86_64
package:        gnome-software-3.22.4-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-software killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 srakitnican 2017-02-11 12:52:57 UTC
Similar problem has been detected:

Not sure what causes it, I am noticing gnome-software crashing in the background when using Steam, restarting Steam or closing/starting Steam application.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: as_profile_item_free
executable:     /usr/bin/gnome-software
global_pid:     32051
kernel:         4.9.7-201.fc25.x86_64
package:        gnome-software-3.22.5-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-software killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2017-11-16 14:39:50 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:14:29 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.